PIP 0.5.0_alpha Platform-Independent Primitives

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
PIChar Class Reference

Unicode char. More...

## Public Member Functions
| PIChar (const char c)
| Contructs ascii symbol.
| PIChar (const short c)
| Contructs 2-bytes symbol.
| PIChar (const int c)
| Contructs 4-bytes symbol.
| PIChar (const uchar c)
| Contructs ascii symbol.
| PIChar (const ushort c)
| Contructs 2-bytes symbol.
| PIChar (const uint c=0)
| Default constructor. Contructs 4-bytes symbol.
| PIChar (const char *c)
| Contructs symbol from no more than 4 bytes of string.
PIChar & | operator= (const char v)
| Copy operator.
bool | operator== (const PIChar &o) const
| Compare operator.
bool | operator!= (const PIChar &o) const
| Compare operator.
bool | operator> (const PIChar &o) const
| Compare operator.
bool | operator< (const PIChar &o) const
| Compare operator.
bool | operator>= (const PIChar &o) const
| Compare operator.
bool | operator<= (const PIChar &o) const
| Compare operator.
bool | isDigit () const
| Return true if symbol is digit ('0' to '9')
bool | isHex () const
| Return true if symbol is HEX digit ('0' to '9', 'a' to 'f', 'A' to 'F')
bool | isGraphical () const
| Return true if symbol is drawable (without space)
bool | isControl () const
| Return true if symbol is control byte (< 32 or 127)
bool | isLower () const
| Return true if symbol is in lower case.
bool | isUpper () const
| Return true if symbol is in upper case.
bool | isPrint () const
| Return true if symbol is printable (with space)
bool | isSpace () const
| Return true if symbol is space or tab.
bool | isAlpha () const
| Return true if symbol is alphabetical letter.
bool | isAscii () const
| Return true if symbol is ascii (< 128)
const char * | toCharPtr () const
| Return as `"char * "` string.
PIChar | toUpper () const
| Return symbol in upper case.
PIChar | toLower () const
| Return symbol in lower case.

## Friends
PIByteArray & | operator<< (PIByteArray &s, const PIChar &v)
| Write operator to `PIByteArray`.
PIByteArray & | operator>> (PIByteArray &s, PIChar &v)
| Read operator from `PIByteArray`.

## Detailed Description

Unicode char.

This class is wrapper around `"uint"`. There are many contructors and information functions